Skip to main content

Welcome to the Inbox API

The Inbox API gives you full access to manage the following entities in your team:
  • Threads: DM conversations on X
  • Account links: X accounts connected to your team
  • Members: users who can access the team
  • Prospects: external profiles on X
  • Tags: labels for prospects
  • Statuses: pipeline statuses for prospects
As of now, access to the following is not available:
  • Lists: Saved collections of leads
  • Campaigns: Automated DM sequences

Authentication

All API endpoints are authenticated using Bearer tokens. Include your token in the Authorization header:
Authorization: Bearer YOUR_API_TOKEN

Base URL

All API requests should be made to:
https://inboxapp.com/api/v1

A quick note on IDs

Inbox stores two types of IDs for objects that relate to X:
  • id — The Inbox ID, which is the ID of the Inbox object
  • platformId — The original X ‘platform’ ID, which is the ID of the X user, conversation, etc.
Throughout the API, you’ll see instances where multiple IDs are present. platformId is always the original X ID.

Encoding objects and arrays in query params

Inbox’s API uses bracket notation to denote objects and arrays.

Objects

For an endpoint that accepts a cursor parameter for instance, with the cursor object being:
{
  "id": "l44e15irdq4db30i77cgphhx",
  "timestamp": "2025-11-10T18:03:16.000Z"
}
The URL search params would be encoded as:
?cursor[id]=l44e15irdq4db30i77cgphhx&cursor[timestamp]=2025-11-10T18:03:16.000Z
For pagination cursors specifically, prefer the flat cursorId and cursorTimestamp query parameters over bracket notation. Both are supported, but the flat form is simpler to work with.

Arrays

For an endpoint that accepts an ids parameter for instance, with the value being:
["1", "2", "3"]
there are three options:
  1. Repeat the parameter for each value:
?ids=1&ids=2&ids=3
  1. Append [] to explicitly denote an array (useful if there’s only one value):
?ids[]=1&ids[]=2&ids[]=3
  1. Append [number] to denote the array index. This option is the most flexible and allows for reordering and skipping values:
?ids[0]=1&ids[1]=2&ids[2]=3